#ifndef SHARED_GRADE_BOOK_UTIL
#define SHARED_GRADE_BOOK_UTIL
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <ctype.h>
#include "../global.h"
#include "../grade.h"
#include "shared_lock.h"
#include "shared_cs_util.h"


int check_float_number(const char *val);
int check_spe_char( char *val);
void free_scale_list(SCALE_LIST *list);
void free_category_list(CATEGORY_LIST *list);
void free_item_list(ITEM_LIST *list);
void free_letter_grade_list(LETTER_GRADE_LIST *list);
void free_grade_list(GRADE_LIST *list);
void free_total_grade_list(TOTAL_GRADE *head);

void set_cat_list_values();
void set_item_list_values(int flag, int is_student_db);
void  set_person_list_values(P_NODE *head, SESSION *user);
void    set_letter_grades_value();
void set_current_grade_list_values();
void set_score_log_values();
int read_grade_book_conf(CONFIG_STRUCT *conf, GRADE_BOOK_CONFIGURE *grade_conf);
int read_release_conf(CONFIG_STRUCT *conf, RELEASE_CONF *release_conf);
int test_precision(float aNumber);



#endif

